Bug 109390 - UX: The Hyperlink dialog closes immediately after clicking OK for the the warning dialog: Please type in a valid file name
Summary: UX: The Hyperlink dialog closes immediately after clicking OK for the the war...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium trivial
Assignee: Gabor Kelemen (allotropia)
URL:
Whiteboard: target:7.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: UX Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2017-07-26 18:18 UTC by Telesto
Modified: 2022-01-06 12:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-07-26 18:18:01 UTC
Description:
The Hyperlink dialog closes immediately after clicking OK for the the warning dialog: Please type in a valid file name. Not quite practical


Steps to Reproduce:
1. Open Writer
2. Type some text and select it
3. Press CTRL+K
4. Select "New document" and press OK
5. A warning popups up: Please type in a valid file name. Press OK -> Dialog closes

Actual Results:  
The dialog is closed after a warning dialog

Expected Results:
The dialog should stay open to follow up the advise given in the Warning Dialog


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 6.0.0.0.alpha0+
Build ID: 343d40206a929969e1755b073edae91cc4bd9751
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-26_05:51:20
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Xisco Faulí 2017-07-27 09:05:28 UTC
Regression introduced by:

author	Thomas Arnhold <thomas@arnhold.org>	2014-08-17 11:34:20 (GMT)
committer	Thomas Arnhold <thomas@arnhold.org>	2014-08-23 02:33:06 (GMT)
commit f4246fab77113147b36706a1f3d93e8724ff826b (patch)
tree d0643b5165f665eaee3b32cf1555fe5728cbbb56
parent c8a3b2d14c4942aa7d0d325a7b925f93b985161c (diff)
fdo#56456 fdo#75578 fdo#63271 fdo#75805 Improve hyperlink dialog
Changes made:

* Rename "Back" to "Reset" like in other dialogs (eg. Writer - Format - Character).
* Apply-Button, which reflects the old behavior of the dialog, and doesn't
  close it automatically.
* Added an OK-Button, which applies the changes made and automatically closes the
  dialog.

With this both use cases should be handled:

* Inserting one single URI with simple close.
* Modifying multiple URIs without closing the dialog.

Hopefully all users are happy with this ;)

Bisected with bibisect-44max

Adding Cc: to Thomas Arnhold
Comment 2 QA Administrators 2018-10-20 02:53:39 UTC Comment hidden (obsolete)
Comment 3 Timur 2019-11-29 20:14:07 UTC
Repro 6.5+.
Comment 4 Justin L 2021-12-03 06:40:52 UTC Comment hidden (obsolete)
Comment 5 Justin L 2021-12-03 06:45:44 UTC
(In reply to Justin L from comment #4)
> I never get a warning dialog on an empty "New Document" hyperlink.
Oops. I was always choosing "Document" instead of "New Document".

repro 7.4+
Comment 6 Gabor Kelemen (allotropia) 2021-12-18 22:23:34 UTC
Proposed patch at https://gerrit.libreoffice.org/c/core/+/127010
Comment 7 Commit Notification 2021-12-21 22:29:44 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6fef768289f4dfa441a109282d253154a20a6123

tdf#109390 Warn about empty New Document only on Apply, not OK

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Mike Kaganski 2021-12-22 09:15:08 UTC
(In reply to Commit Notification from comment #7)

Hm, is this still consistent?

On all other tabs, both Apply and OK just do nothing when the address (different in different cases) is empty.

The question is if doing *nothing* is OK there. But IMO all tabs should *at least* be consistent; if empty name does nothing on OK, it should also do nothing on Apply.

And then - *maybe* - a warning would be useful, but *both for OK and apply*, and *on all tabs*. That would be a different issue, and would need UX evaluation.
Comment 9 Gabor Kelemen (allotropia) 2022-01-06 12:27:45 UTC
(In reply to Mike Kaganski from comment #8)
> (In reply to Commit Notification from comment #7)
> 
> Hm, is this still consistent?
> 
> On all other tabs, both Apply and OK just do nothing when the address
> (different in different cases) is empty.
> 
> The question is if doing *nothing* is OK there. But IMO all tabs should *at
> least* be consistent; if empty name does nothing on OK, it should also do
> nothing on Apply.
> 
> And then - *maybe* - a warning would be useful, but *both for OK and apply*,
> and *on all tabs*. That would be a different issue, and would need UX
> evaluation.

I'll file a continuation bug in a moment, thanks for bringing it up.